# mautrix-googlechat

![Version: 1.0.5](https://img.shields.io/badge/Version-1.0.5-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: v0.4.0](https://img.shields.io/badge/AppVersion-v0.4.0-informational?style=flat-square)

A Matrix-Hangouts puppeting bridge (Now externally called mautrix-googlechat)

**Homepage:** <https://github.com/mautrix/googlechat>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Gavin Mogan | helm@gavinmogan.com |  |

## Source Code

* <https://github.com/mautrix/googlechat>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| config.appservice.address | string | `"http://localhost:29320"` |  |
| config.appservice.as_token | string | `""` |  |
| config.appservice.bot_avatar | string | `"mxc://maunium.net/BDIWAQcbpPGASPUUBuEGWXnQ"` |  |
| config.appservice.bot_displayname | string | `"Google Chat bridge bot"` |  |
| config.appservice.bot_username | string | `"googlechatbot"` |  |
| config.appservice.database | string | `"postgres://username:password@hostname/db"` |  |
| config.appservice.database_opts.max_size | int | `10` |  |
| config.appservice.database_opts.min_size | int | `5` |  |
| config.appservice.ephemeral_events | bool | `false` |  |
| config.appservice.hostname | string | `"0.0.0.0"` |  |
| config.appservice.hs_token | string | `""` |  |
| config.appservice.id | string | `"googlechat"` |  |
| config.appservice.max_body_size | int | `1` |  |
| config.appservice.port | int | `29320` |  |
| config.bridge.backfill.disable_notifications | bool | `false` |  |
| config.bridge.backfill.initial_nonthread_limit | int | `100` |  |
| config.bridge.backfill.initial_thread_limit | int | `10` |  |
| config.bridge.backfill.initial_thread_reply_limit | int | `500` |  |
| config.bridge.backfill.invite_own_puppet | bool | `true` |  |
| config.bridge.backfill.missed_event_limit | int | `5000` |  |
| config.bridge.backfill.missed_event_page_size | int | `100` |  |
| config.bridge.command_prefix | string | `"!gc"` |  |
| config.bridge.delivery_error_reports | bool | `true` |  |
| config.bridge.delivery_receipts | bool | `false` |  |
| config.bridge.disable_bridge_notices | bool | `false` |  |
| config.bridge.displayname_template | string | `"{full_name} (Google Chat)"` |  |
| config.bridge.double_puppet_allow_discovery | bool | `false` |  |
| config.bridge.double_puppet_server_map."example.com" | string | `"https://example.com"` |  |
| config.bridge.encryption.allow | bool | `false` |  |
| config.bridge.encryption.allow_key_sharing | bool | `false` |  |
| config.bridge.encryption.default | bool | `false` |  |
| config.bridge.encryption.require | bool | `false` |  |
| config.bridge.encryption.rotation.enable_custom | bool | `false` |  |
| config.bridge.encryption.rotation.messages | int | `100` |  |
| config.bridge.encryption.rotation.milliseconds | int | `604800000` |  |
| config.bridge.encryption.verification_levels.receive | string | `"unverified"` |  |
| config.bridge.encryption.verification_levels.send | string | `"unverified"` |  |
| config.bridge.encryption.verification_levels.share | string | `"cross-signed-tofu"` |  |
| config.bridge.federate_rooms | bool | `true` |  |
| config.bridge.initial_chat_sync | int | `10` |  |
| config.bridge.invite_own_puppet_to_pm | bool | `false` |  |
| config.bridge.login_shared_secret_map."example.com" | string | `"foobar"` |  |
| config.bridge.message_status_events | bool | `false` |  |
| config.bridge.permissions | object | `{}` |  |
| config.bridge.provisioning.prefix | string | `"/_matrix/provision"` |  |
| config.bridge.provisioning.shared_secret | string | `"generate"` |  |
| config.bridge.resend_bridge_info | bool | `false` |  |
| config.bridge.sync_direct_chat_list | bool | `false` |  |
| config.bridge.sync_with_custom_puppets | bool | `false` |  |
| config.bridge.unimportant_bridge_notices | bool | `false` |  |
| config.bridge.update_avatar_initial_sync | bool | `true` |  |
| config.bridge.username_template | string | `"googlechat_{userid}"` |  |
| config.hangouts.device_name | string | `"Mautrix-Google Chat bridge"` |  |
| config.homeserver.address | string | `"https://example.com"` |  |
| config.homeserver.asmux | bool | `false` |  |
| config.homeserver.async_media | bool | `false` |  |
| config.homeserver.domain | string | `"example.com"` |  |
| config.homeserver.http_retry_count | int | `4` |  |
| config.homeserver.message_send_checkpoint_endpoint | string | `nil` |  |
| config.homeserver.status_endpoint | string | `nil` |  |
| config.homeserver.verify_ssl | bool | `true` |  |
| config.logging.formatters.colored.() | string | `"mautrix_googlechat.util.ColorFormatter"` |  |
| config.logging.formatters.colored.format | string | `"[%(asctime)s] [%(levelname)s@%(name)s] %(message)s"` |  |
| config.logging.formatters.normal.format | string | `"[%(asctime)s] [%(levelname)s@%(name)s] %(message)s"` |  |
| config.logging.handlers.console.class | string | `"logging.StreamHandler"` |  |
| config.logging.handlers.console.formatter | string | `"colored"` |  |
| config.logging.loggers.mau.aiohttp.level | string | `"INFO"` |  |
| config.logging.loggers.mau.level | string | `"DEBUG"` |  |
| config.logging.loggers.mau.maugclib.level | string | `"INFO"` |  |
| config.logging.root.handlers[0] | string | `"console"` |  |
| config.logging.root.level | string | `"DEBUG"` |  |
| config.logging.version | int | `1` |  |
| config.manhole.enabled | bool | `false` |  |
| config.manhole.path | string | `"/var/tmp/mautrix-googlechat.manhole"` |  |
| config.manhole.whitelist[0] | int | `0` |  |
| config.metrics.enabled | bool | `true` |  |
| config.metrics.listen_port | int | `8000` |  |
| deploymentAnnotations | object | `{}` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"Always"` |  |
| image.repository | string | `"dock.mau.dev/mautrix/googlechat"` |  |
| image.tag | string | `"{{ .Chart.AppVersion }}"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths | list | `[]` |  |
| ingress.ingressClassName | string | `nil` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext.fsGroup | int | `1000` |  |
| probes.liveness.failureThreshold | int | `5` |  |
| probes.liveness.periodSeconds | int | `10` |  |
| probes.readiness.failureThreshold | int | `5` |  |
| probes.readiness.periodSeconds | int | `10` |  |
| probes.startup.failureThreshold | int | `30` |  |
| probes.startup.initialDelaySeconds | int | `5` |  |
| probes.startup.periodSeconds | int | `10` |  |
| registration.as_token | string | `nil` |  |
| registration.hs_token | string | `nil` |  |
| registration.id | string | `"googlechat"` |  |
| registration.namespaces.users[0].exclusive | bool | `true` |  |
| registration.namespaces.users[0].group_id | string | `"googlechat:example.org"` |  |
| registration.namespaces.users[0].regex | string | `"@googlechat_.+:example.org"` |  |
| registration.rate_limited | bool | `false` |  |
| registration.sender_localpart | string | `"googlechatbot"` |  |
| registration.url | string | `"http://{{ include \"mautrix-googlechat.fullname\" . }}:29320"` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext.runAsGroup | int | `1000` |  |
| securityContext.runAsUser | int | `1000` |  |
| service.externalTrafficPolicy | string | `nil` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| strategy.rollingUpdates | string | `nil` |  |
| strategy.type | string | `"Recreate"` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
